6.9. AAlib – text mode displaying
上一页 | 第 6 章 Video output devices | 下一页

## 6.9. AAlib – text mode displaying

AAlib is a library for displaying graphics in text mode, using powerful ASCII renderer. There are lots of programs already supporting it, like Doom, Quake, etc. MPlayer contains a very usable driver for it. If `./configure` detects aalib installed, the aalib libvo driver will be built.

You can use some keys in the AA Window to change rendering options:

Key | Action
--- | ---
1 | decrease contrast
2 | increase contrast
3 | decrease brightness
4 | increase brightness
5 | switch fast rendering on/off
6 | set dithering mode (none, error distribution, Floyd Steinberg)
7 | invert image
8 | toggles between aa and MPlayer control

The following command line options can be used:

`-aaosdcolor=`V``

  change OSD color

`-aasubcolor=`V``

  Change subtitle color

  where `V` can be: `0` (normal), `1` (dark), `2` (bold), `3` (bold font), `4` (reverse), `5` (special).

AAlib itself provides a large sum of options. Here are some important:

`-aadriver`

  Set recommended aa driver (X11, curses, Linux).

`-aaextended`

  Use all 256 characters.

`-aaeight`

  Use eight bit ASCII.

`-aahelp`

  Prints out all aalib options.

### 注意

The rendering is very CPU intensive, especially when using AA-on-X (using aalib on X), and it's least CPU intensive on standard, non-framebuffer console. Use SVGATextMode to set up a big textmode, then enjoy! (secondary head Hercules cards rock :)) (but IMHO you can use `-vf 1bpp` option to get graphics on hgafb:)

Use the `-framedrop` option if your computer isn't fast enough to render all frames!

Playing on terminal you'll get better speed and quality using the Linux driver, not curses (`-aadriver linux`). But therefore you need write access on `/dev/vcsa`<terminal>``! That isn't autodetected by aalib, but vo_aa tries to find the best mode. See http://aa-project.sf.net/tune for further tuning issues.

上一页 | 上一级 | 下一页
6.8. OpenGL output | 起始页 | 6.10. `libcaca` – Color ASCII Art library